summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-30 07:19:17 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-30 07:19:17 +0000
commit8c7c3b8c54cfac75bc17b286d7ce76a41eb1eaaf (patch)
treed152f2fd05db69d15900d207014e6a927821bc88 /dev-python
parente14f99ca1719dc6094cc1e77a933440dbfe7017e (diff)
downloadbaldeagleos-repo-8c7c3b8c54cfac75bc17b286d7ce76a41eb1eaaf.tar.gz
baldeagleos-repo-8c7c3b8c54cfac75bc17b286d7ce76a41eb1eaaf.tar.xz
baldeagleos-repo-8c7c3b8c54cfac75bc17b286d7ce76a41eb1eaaf.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.24.82.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.27.82.ebuild72
-rw-r--r--dev-python/pytest-check/Manifest1
-rw-r--r--dev-python/pytest-check/pytest-check-1.0.10.ebuild35
-rw-r--r--dev-python/python-nbxmpp/Manifest1
-rw-r--r--dev-python/python-nbxmpp/python-nbxmpp-3.2.3.ebuild32
-rw-r--r--dev-python/selenium/Manifest1
-rw-r--r--dev-python/selenium/selenium-4.5.0.ebuild31
-rw-r--r--dev-python/terminado/Manifest1
-rw-r--r--dev-python/terminado/terminado-0.16.0.ebuild34
12 files changed, 278 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 2ab02ef581e7..1766b264c7d2 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,3 +1,4 @@
DIST boto3-1.24.74.gh.tar.gz 537890 BLAKE2B 5aa5b9fb754b9f0a1da6d05fb8419235617fa0cf50b2759c7b725cdface764921922366a1536c49ba5e283c3af10b2b987bfb3ef48f4b20882116957e6534f59 SHA512 5acbce2c828f268ca04dc5c38d192b9578ae7a16f8144262f8cb19b5364be5c39397e725cf4daed35405d31ac70907c271305320502f88ffb1f0dcfb49f3be0f
DIST boto3-1.24.80.gh.tar.gz 539716 BLAKE2B ccbbfa84e4e2274eb0275b9b2dcc0a4a78b139007829c4e3f880909f71e404be22c4461b687596bf12675c1212c6cf5b59c4383a042f60cb7919a10581fdc612 SHA512 aa3340e4bb9ae80f02fc70cf2be49d245e3dcc941b0b682c2827c1b8bb51d02e72ab7bf561e7d39397af8ca7ead7e115766fd4fd2eca18db2c551f55afb3e3b6
DIST boto3-1.24.81.gh.tar.gz 540005 BLAKE2B 7c0425351aaa4ee854d6cb616880b653250475051f3a295686659f3c85b6c515b6e622af72f6e56f69ff23be4e4218f74cbe48f6377f0d17d321f1521ed1fe8f SHA512 a92a4d90254ecc5dd098d22c9628cf87e5d5341c7aaf8b704fbe6f6e693b7582b65179936a6745da4b14a629fb20d39b501748349e3a8640eb54f9298493f287
+DIST boto3-1.24.82.gh.tar.gz 540506 BLAKE2B 5b9c008309e7bc5ff0b79a2431d1b49c353895e698227a19557ffa56950d51b1743e096a09440d3cae94b55eada1a71e01664b3458991d5665e9678cd97fdd80 SHA512 bd1ab62bd9b4f5f641a0baf6fda8d99e2a60d1fbf1bcb670b76a8171987812feb1067964dae1b633b0e35202330f97525c1ed5bf169289b8bcdde18eb882853d
diff --git a/dev-python/boto3/boto3-1.24.82.ebuild b/dev-python/boto3/boto3-1.24.82.ebuild
new file mode 100644
index 000000000000..e4a98e2e28f5
--- /dev/null
+++ b/dev-python/boto3/boto3-1.24.82.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index ea95c4d888fe..835d1b8418b8 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,3 +1,4 @@
DIST botocore-1.27.74.gh.tar.gz 9626080 BLAKE2B 05f039078c207c3878f189147ac2cf838bf51d2f69d3417440cf71b10ddf952414cfbdb1c21c0ba52ee0397f3dd720b8a4e0aa6090bb77cb12ff11a370f20aed SHA512 56a78879a2315f7a5a7d809f4e6e6885dfd0d085715494448dbd0b36029c5eba00c48a12a7f49af121a22363a1680591bcc82d220cc4e34e6cb02a2404df5877
DIST botocore-1.27.80.gh.tar.gz 9643079 BLAKE2B feec0b34c39b358eaff7f947fe83fc6dcd9926771b465c092e8071c334382d07d51a88fda775fc9fadae2544ac2f3e37c814bc9b8729730955b95d3efdf16b7b SHA512 f38ee5b252051a8208964387ff1550489c5900605d2aa5c69dc2d1229411015af1edaa51e9df4d56895c3fd2b4a56cca5179c1fd5aecbf5032ab80ce4c8f8b8e
DIST botocore-1.27.81.gh.tar.gz 9663876 BLAKE2B 35da266dee35d717c0190378d4e73dbc018b9973a768476c4e675942e6f730901e7bcfbd2f700589877b1eb1fa85a20a29932c62d20a37a957045ea32cada7d1 SHA512 9ba40ddc75f812ce255ff668e9299313eaed44fb86b130a84ac624ace35ffd03bbb95fd88ce0848f8f8f9e0c48547e4433af6746f2063d57dd5d43d32bc7810e
+DIST botocore-1.27.82.gh.tar.gz 9665050 BLAKE2B 2a108b09425dbb853a3ca79a370cff1c5c6e9fafe51c8ea9b3a7b1bf7c7ebdeccc4a5ebfc0d60e26d3bcb35add24d55e9f2df8062a79710a64f1eea4af0f258b SHA512 52335df0e487580bc425d421c39464e4785ee7018ad25c82f83ba07cce0534b4e1ea047997a3a31bc8547f597863998154b0d13b9124342129953640bf2e67c3
diff --git a/dev-python/botocore/botocore-1.27.82.ebuild b/dev-python/botocore/botocore-1.27.82.ebuild
new file mode 100644
index 000000000000..ba4830d69cb3
--- /dev/null
+++ b/dev-python/botocore/botocore-1.27.82.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/pytest-check/Manifest b/dev-python/pytest-check/Manifest
index 93d46d343b7c..5f58b6890806 100644
--- a/dev-python/pytest-check/Manifest
+++ b/dev-python/pytest-check/Manifest
@@ -1 +1,2 @@
+DIST pytest-check-1.0.10.tar.gz 15603 BLAKE2B e51dbb2806bdac73e202b14668c76675979113f661eb339a1a3cff07069d3d4709869d67ea2cb6384483ebde8b68288026df9b7492b17ea67c79ee95e6865809 SHA512 dc3a80b20637eab8adda085ca8172bc3bde75bd47566972a07cf226bb38771933a531d99e139d7c220cc149715fd7d98ab964f72e0b520e8dd3df7633a6e5a90
DIST pytest-check-1.0.9.tar.gz 15260 BLAKE2B 8bbf0299e76a0e5acbb6ab4e8ce2bcb386ad2e1e91e1596e317bed9800b03c0fcadf76abe76a0ab9d2d8d190dbd839e042579abb08ea898b8325c27898670088 SHA512 058bb17255f08b83e0fc9f6c91be99b2a17676eae903f70999598c1ee69cf0b89cbe3767bbc3fabbacb2a5db35d26ed825599f401f693f4dc6195c02fac5c923
diff --git a/dev-python/pytest-check/pytest-check-1.0.10.ebuild b/dev-python/pytest-check/pytest-check-1.0.10.ebuild
new file mode 100644
index 000000000000..6d24011a1d85
--- /dev/null
+++ b/dev-python/pytest-check/pytest-check-1.0.10.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="pytest plugin that allows multiple failures per test"
+HOMEPAGE="
+ https://github.com/okken/pytest-check/
+ https://pypi.org/project/pytest_check/
+"
+SRC_URI="mirror://pypi/${P::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/pytest[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # Fix expecting result in case pytest throws deprecation warnings
+ sed -e '/fnmatch_lines/s/\* /\*/g' \
+ -e '/fnmatch_lines/s/ \*/\*/g' \
+ -i tests/test_check.py || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/python-nbxmpp/Manifest b/dev-python/python-nbxmpp/Manifest
index 176d16800fbe..15218182b593 100644
--- a/dev-python/python-nbxmpp/Manifest
+++ b/dev-python/python-nbxmpp/Manifest
@@ -1,4 +1,5 @@
DIST python-nbxmpp-3.1.1.tar.bz2 128913 BLAKE2B 938701b95d3b41638d2e9173d52ce69737bc7160b1113bbbb54e958ee0269a2d209d146a67c7caaf8f4e7aa394549360ecb3ad4c3a1a731b329b10cbc9654109 SHA512 9571d890112da8380d55894e52279bfb002151432d6c8103ce62f5ab08b198f847c50cb2c1c4a7502cbefff8c3c77cbb0e86ca24355af86136b0caceb0d75c0f
DIST python-nbxmpp-3.2.1.tar.bz2 129362 BLAKE2B bbbeb5751fc5751cffe73c9a54c3330de9a1b48041c7a7964cefdfedbf8ae2966c8f5adaa7153386eebea44568af38ec1964d612b8baf48d6f318c83705e18d8 SHA512 3ebe1169475fcd65875cb2e6079f802a7f98717957e26e7dfcab5a71b1f94e967145a430f6d959a01b39842317d858c3b6275bcd909bf65f70699536e298b6e4
DIST python-nbxmpp-3.2.2.tar.bz2 131769 BLAKE2B 51e6d090ad1461dfdb2d0f863ac31e72b1abe2e7ad273eed5105eb55cc11a0ce6ec989241d8d928400e55e7c61a720925104f92e32110e2124e63f396b68029f SHA512 bdbcdb3978c57ef6b62c9e0da57e624ab92f1d10521f5d8b096a1b654bfa0e0026eddd6814c037bf7342e2933eb76c1c67d8f7e309e3c770bd606153f09c8ebe
+DIST python-nbxmpp-3.2.3.tar.bz2 131789 BLAKE2B 7cdabe3357950b8694b85bfe1c23e8742575e37d066f61a741a017a0c96f32a9bba9c3cefcf0409b818ea366f806242c711d5bb3829c3275660e03592935f732 SHA512 7b444cf58a7abc8455d8cb2e720c77ae15fec3c0c4fc6984e51e587f122b842cbecd38f9ef225346e0fa86ccf5a4cdbc3452a78f302237f5069efb626554dd02
DIST python-nbxmpp-nbxmpp-2.0.6.tar.bz2 122203 BLAKE2B 925604002f4363f1e0b72f05c13742f4652ba565a9faa48faf8d47688f480a7f1d7585c593b0dcf07bded8c4aa3a1d02e9697742a07b9e815daec062dfb93104 SHA512 a536b25c8a6298892a51adef4b64b75ffab88ce02fb08fc07ecd1cfe2bc794262d4d58a93248439723e6e0544485da7351bb98189b0e422a1f77b01c6f6d238e
diff --git a/dev-python/python-nbxmpp/python-nbxmpp-3.2.3.ebuild b/dev-python/python-nbxmpp/python-nbxmpp-3.2.3.ebuild
new file mode 100644
index 000000000000..b38c02ceed64
--- /dev/null
+++ b/dev-python/python-nbxmpp/python-nbxmpp-3.2.3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library to use Jabber/XMPP networks in a non-blocking way"
+HOMEPAGE="
+ https://dev.gajim.org/gajim/python-nbxmpp/
+ https://pypi.org/project/nbxmpp/
+"
+SRC_URI="
+ https://dev.gajim.org/gajim/python-nbxmpp/-/archive/${PV}/${P}.tar.bz2
+"
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-libs/gobject-introspection
+ net-libs/libsoup[introspection]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/precis-i18n[${PYTHON_USEDEP}]
+ dev-python/pygobject[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/selenium/Manifest b/dev-python/selenium/Manifest
index 47432bec2e5b..d25e206ae600 100644
--- a/dev-python/selenium/Manifest
+++ b/dev-python/selenium/Manifest
@@ -1 +1,2 @@
DIST selenium-4.4.3-py3-none-any.whl 985964 BLAKE2B b89c8d8c8a59c6fc8cc6aae84456e6e30f651148880f54bac84f4d82a2281d4ca1841e872fed80746c75fc795b8154c925386245f36940c9a54b1ac746d984dc SHA512 14142389a19cd311be229555b06c7dec5a11f852332775def10b6ffd956d07d0394f7af1463fc18116b0e4df055168158a5c2cc6794af760f16b6ae6ebb88aa4
+DIST selenium-4.5.0-py3-none-any.whl 995204 BLAKE2B 214050a4e410a4689255ec8472a1cb35a37596e73d46c48769aa8e184b6f84e281a20e7e5f812b8185edacfcbca6eed77507aa59ffcaeae384f962b4214928a0 SHA512 b22d80d750c85337a2b793799b5a63b11bed45d11b874c1a64c02f53b4adb57263e69bebc79203de3bdfa5b8708203959971723cf0aef7fb68bd1b2a9028e9d9
diff --git a/dev-python/selenium/selenium-4.5.0.ebuild b/dev-python/selenium/selenium-4.5.0.ebuild
new file mode 100644
index 000000000000..3abfc750eb85
--- /dev/null
+++ b/dev-python/selenium/selenium-4.5.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# GitHub releases don't include generated files, and on PyPi we do have them
+# but only in a wheel format.
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python language binding for Selenium Remote Control"
+HOMEPAGE="https://www.seleniumhq.org"
+SRC_URI="
+ https://files.pythonhosted.org/packages/py3/${P::1}/${PN}/${P}-py3-none-any.whl
+"
+S=${WORKDIR}
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+"
+
+python_compile() {
+ distutils_wheel_install "${BUILD_DIR}/install" \
+ "${DISTDIR}/${P}-py3-none-any.whl"
+}
diff --git a/dev-python/terminado/Manifest b/dev-python/terminado/Manifest
index 7afa33264f4b..261cba0c786c 100644
--- a/dev-python/terminado/Manifest
+++ b/dev-python/terminado/Manifest
@@ -1 +1,2 @@
DIST terminado-0.15.0.tar.gz 29599 BLAKE2B b287e5c28fccbf9116d727e11e0a9d3d89f45a16374c7ee950b30427c8f52064dbb59c36fdb7b4d1457a3526e51254708ee13ef3505303c6052da050460046d1 SHA512 9aa00b7e6d442a7358f007be9d45c6a5326243e64d51a2e9fda863ab5ac8f12b72b1684aed91da376e2c45347635fe64a66da5ff2792b2b15d538080fa6f832b
+DIST terminado-0.16.0.tar.gz 28839 BLAKE2B d74846455e1a91e1c16c7cabb42be4e6915d130149a660ac3d555f6bf5a9ce47c7af1f802eb5c065ca99e9cd733b51b31df2bb799c82cc482ba0d0e3c0b36265 SHA512 1b52d6c60b0bd21d19633ae586c7a974035f43dafbf711fc86d667f965de783efc6712e8fe586685ab65b63b3a689b01f730cac6c68a9517e5421b1814f9f897
diff --git a/dev-python/terminado/terminado-0.16.0.ebuild b/dev-python/terminado/terminado-0.16.0.ebuild
new file mode 100644
index 000000000000..ab2f7e98884b
--- /dev/null
+++ b/dev-python/terminado/terminado-0.16.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Terminals served to term.js using Tornado websockets"
+HOMEPAGE="
+ https://github.com/jupyter/terminado/
+ https://pypi.org/project/terminado/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/ptyprocess[${PYTHON_USEDEP}]
+ dev-python/tornado[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ # workaround new readline defaults
+ echo "set enable-bracketed-paste off" > "${T}"/inputrc || die
+ local -x INPUTRC="${T}"/inputrc
+ distutils-r1_src_test
+}